# syntax=docker/dockerfile:1
FROM debian:bullseye-slim as base

SHELL ["/bin/bash", "-o", "pipefail", "-c"]

# TODO Remove when upstream Ruby works properly on Apple silicon
RUN apt update && apt install -y build-essential wget autoconf libpq-dev pkg-config
RUN wget https://github.com/postmodern/ruby-install/releases/download/v0.9.3/ruby-install-0.9.3.tar.gz \
  && tar -xzvf ruby-install-0.9.3.tar.gz \
  && cd ruby-install-0.9.3/ \
  && make install
RUN ruby-install -p https://github.com/ruby/ruby/pull/9371.diff ruby 3.3.0
ENV PATH="/opt/rubies/ruby-3.3.0/bin:${PATH}"

RUN apt-get install -y --no-install-recommends curl ldap-utils tini libvips
RUN curl -fsSL https://deb.nodesource.com/setup_lts.x | bash -
RUN apt-get update && apt-get install -y nodejs

WORKDIR /akkounts

COPY ["Gemfile", "Gemfile.lock", "package.json", "./"]

RUN bundle install
RUN gem install foreman
RUN npm install -g yarn
RUN yarn install

ENTRYPOINT ["/usr/bin/tini", "--"]
EXPOSE 3000
